# $Revision: 1.9 $, $Date: 2002/09/16 19:30:20 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTTP
%define		_subclass	Request
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - provides an easy way to perform HTTP requests
Summary(pl):	%{_pearname} - daje atwy sposb przygotowania wywoa HTTP
Name:		php-pear-%{_pearname}
Version:	1.0.2
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Supports GET/POST/HEAD/TRACE/PUT/DELETE, Basic authentication, Proxy,
Proxy Authentication etc.

%description -l pl
Obsuguje metody GET/POST/HEAD/TRACE/PUT/DELETE, motod
uwierzytelniania Basic, Proxy, uwierzytelnianie Proxy itp.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

install %{_pearname}-%{version}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/docs/*
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-HTTP_Request.spec,v $
Revision 1.9  2002/09/16 19:30:20  blues
- 1.0.2 - STBR

Revision 1.8  2002/09/07 06:36:45  blues
- fix in macros

Revision 1.7  2002/07/27 15:16:18  blues
- 1.0.1 (only license change) - STBR

Revision 1.6  2002/07/12 23:41:09  blues
- release 2 (rebuild with new rpm)

Revision 1.5  2002/07/12 08:25:25  blues
- missing Req. and BR added

Revision 1.4  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.3  2002/06/30 12:25:14  qboosh
- better pl

Revision 1.2  2002/06/25 12:37:45  blues
- more macros

Revision 1.1  2002/06/25 10:14:23  blues
- HTTP_Request class
